%kmdl sk98lin

Summary: Marvell Yukon/SysKonnect SK-98xx Gigabit Ethernet Adapter family driver.
Name: sk98lin
Version: 10.50.1.3
Release: 12%{?dist}
License: GPL2
Group: System Environment/Kernel
URL: http://www.syskonnect.de/
Source0: http://skd.de/e_en/products/adapters/pcie_server/sk-9exx/software/linux/driver/install_v%{version}.tar.bz2
Patch0: kernel-2.6.19.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%kmdl_parentdependencies

%description
The sk98lin driver supports the Marvell Yukon and SysKonnect 
SK-98xx/SK-95xx compliant Gigabit Ethernet Adapter on Linux. It has 
been tested with Linux on Intel/x86 machines.

%package -n %kmdl_name
%kmdl_dependencies
Summary: kernel modules for %{name}.
Group: System Environment/Kernel

%description -n %kmdl_name
kernel modules for %{name}. See description for %{name} for further information.

%kmdl_desc

%prep
%setup -q -n DriverInstall
tar -jpxf sk98lin.tar.bz2
%patch0 -p1 -b .kernel-2.6.19
if grep tso_size %{kmdl_kernelsrcdir}/include/linux/skbuff.h >/dev/null; then
  perl -pi -e's,gso_size,tso_size,g' 2.6/sky2.c
fi
cp -a common/* 2.6/
perl -pi -e"s,-Idrivers/net/sk98lin,-I`pwd`/2.6," 2.6/Makefile
if ! grep slot_name %{kmdl_kernelsrcdir}/include/linux/pci.h >/dev/null; then
  grep -rl -- '->slot_name' . | xargs perl -pi -e's,->slot_name,->dev.bus_id,g'
fi


%build

%if %{kmdl_userland}
%else

%kmdl_config
make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/2.6 CONFIG_SK98LIN=m

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

mkdir -p %{buildroot}%{_mandir}/man4
install -p sk98lin.4 %{buildroot}%{_mandir}/man4/sk98lin-module.4

%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/net/sk98lin
make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/2.6 INSTALL_MOD_PATH=%{buildroot} modules_install CONFIG_SK98LIN=m
if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
  mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/net/sk98lin/
fi

%endif


%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README*
%{_mandir}/man4/sk98lin-module.4*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}/drivers
%dir %{kmdl_moduledir}/drivers/net
%{kmdl_moduledir}/drivers/net/sk98lin

%endif


%changelog
* Sat Mar 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 10.50.1.3-12
- Update to 10.50.1.3.

* Fri Jan 26 2007 Paulo Roma <roma@lcg.ufrj.br>
- Created patch for compiling with kernel 2.6.19
- Updated to 8.41.2.3

* Fri Apr 14 2006 Paulo Roma <roma@lcg.ufrj.br>
- Create patch for compiling sky2.c

* Mon Mar 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.31.2.3 (bug #759).

* Mon Dec 19 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.28.

* Tue Aug 30 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8.23.1.3.

* Sun Mar 20 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


